{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
    {% for flashError in app.flashes('verify_email_error') %}
        <div class="alert alert-danger" role="alert">{{ flashError }}</div>
    {% endfor %}

    <h1>Register</h1>

    {{ form_start(registrationForm) }}
        {{ form_row(registrationForm.email) }}
        {{ form_row(registrationForm.plainPassword, {
            label: 'Password'
            }) }}

        {{ form_row(registrationForm.oauth2Code) }}
        <div class="alert alert-warning" role="alert">
            You can get a oauth2 code at this <a href="{{ oauth2_url }}" target="_blank">link</a>.
        </div>

    <button class="btn btn-lg btn-primary" type="submit">
        Register
    </button>
    {{ form_end(registrationForm) }}
{% endblock %}
